local M = {}

function M.setup()
  -- scroll up and down with shift+arrow
  vim.keymap.set('n', '<S-Down>', '<C-E>')
  vim.keymap.set('n', '<S-Up>', '<C-Y>')
  --}}}

  vim.keymap.set('n', '[d', vim.diagnostic.goto_prev, { desc = 'Go to next diagnostic' })
  vim.keymap.set('n', ']d', vim.diagnostic.goto_next, { desc = 'Go to prev diagnostic' })
  vim.keymap.set('n', '<space>q', vim.diagnostic.setloclist, { desc = 'Diagnostic to loclist' })

end

return M
